Conversions

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This endpoint is used to track user purchases or other completed business actions for attribution and reporting.


Note:
Conversions are recorded after a purchase or a completed business action occurs. They are matched to previous auction, impression, and/or click activity.

Inputs

Field Type Description Required
client_name string The client identifier configured by Koddi for your integration. Your Koddi team will provide this value. Required
domain string This is the domain of the site where the conversion happened. The format is generally www.yoursite.com. This is used for downstream reporting only. Optional
currency string This is the currency of the site calling for winning ads. We use the ISO 3 character code. Required
user_ip string The end user's IP (where allowed by local law). This is used for fraud detection only and is deleted from the Koddi system within 48 hours. Optional
user_agent string The end user's user agent. This is used for fraud detection only. Optional
culture string This is the language of the site calling for winning ads. Koddi suggests language-COUNTRY(ex: en-US). You must provide Koddi with a list of all values that will be passed so that our system can be configured to accept them. Required
user_guid string Unique user ID generated by the publisher (used for tracking to conversion events). Required
device_type string The end user's device type. (Examples: Desktop, Mobile, Tablet, App, etc) Optional
transaction_id string The unique code/ID for a single conversion transaction. Required
conversion_source string Identifies the type of the conversion transaction. Supported values depend on your implementation. (Potential examples: purchase, reservation, booking, etc) Optional
unixtime Unix time The time of the transaction (if not provided, the time of the API will be assumed to be the time of the time of transaction. Optional
bidders array of objects The bidders that received conversions.
bidder string The bidder that received the individual conversion. Required if alternate_bidder is not present
alternate_bidder string The alternate ID of the bidder who received the individual conversion. This parameter can be used if the bidder ID is not known. The value for this parameter must be present in the feed and mapped by Koddi. Required if bidder parameter is not present
count int The number of items sold.

Required
base_price currency The specific item value of the conversion for the specific bidder. Does not include taxes, local or resort fees.

This will be multiplied by the count value to get the total price paid for that product, before taxes.

Required
total_price currency The total value of the conversion for the specific bidder (paid by the end user). Usually includes taxes, local or resort fees.

For example, if the conversion was for cans of soup where 3 cans were sold for $2 each with a 5% tax rate, this value would be $6.30.

Optional
attributes object Additional context of the conversion can be sent in the attributes object. Please consult with your Koddi representative before using this parameter. Optional

Response

It returns either a 200 OK HTTP status, or an error message if required fields are missing.

If you receive an error from this endpoint, it can be retried.

Try It!

Body Params
string
required
string
string
required
string
required
string
string
string
required
string
string
required
string
double
bidders
array of objects
required
bidders*
attributes
object
Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json